<template>
  <div class="projects">
    <h2 id="projects" class="main-title">Mes projets</h2>
    <img
      :alt="rocketAlt"
      class="projects__picto"
      src="~assets/svgs/rocket.svg"
      aria-hidden="true"
      data-js-animate
    />
    <ul class="projects__list flex-column flex-lg-row row" data-js-scroll>
      <li
        v-for="project in projects"
        :key="project.name"
        class="card col-md col-sm col-lg-5 m-lg-2"
      >
        <div class="card__picto">
          <img :alt="project.alt" :src="project.picto" aria-hidden="true" />
        </div>
        <p class="card__name">{{ project.name }}</p>
        <p class="card__description">{{ project.mission }}</p>
        <a :href="project.url" class="stretched-link" target="_blank"
          ><span class="sr-only">Voir le site de la ville de Lens</span></a
        >
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data() {
    return {
      rocketAlt: `Vers l'infini et au delà !`,
      projects: [
        {
          name: 'Fail Forward',
          mission: 'Web Design, frontend et backend',
          picto: '/guitare.svg',
          url: 'https://failforwardofficial.com/',
          alt: 'Guitare'
        },
        {
          name: 'Ville de Lens',
          mission: 'Web Design et Développement web',
          picto: '/building.svg',
          url: 'https://villedelens.fr/',
          alt: 'Gratte-ciel'
        },
        {
          name: 'Aidalavie',
          mission: 'Web Design et Développement web',
          picto: '/people.svg',
          url: 'https://aidalavie.fr/',
          alt: 'Santé'
        },
        {
          name: 'Refonte portfolio',
          mission: 'Web Design et Développement web',
          url: '#',
          picto: '/display.svg',
          alt: 'Web'
        }
      ]
    }
  },
  methods: {}
}
</script>

<style></style>
